Skip to content
SteamSets
Esc
↑↓navigate↵open⌘Jpreview

List account owned apps

POST/v1/account.listApps
Authorization
AuthorizationBearer token · headerrequired
Request body
requiredapplication/json
filtersV1AppFilters
Show properties
appTypestring | null

Filter by app type (e.g., 'game', 'dlc')

excludeEventsboolean | null

Exclude event apps

excludeSalesboolean | null

Exclude sale/promotional apps

hasBadgeboolean | null

If true, only apps where the account has crafted at least one badge; if false, only apps where it has crafted none

playtimeRange

Filter by playtime range (in minutes)

Show properties
maxinteger<int32>

Maximum value (inclusive)

mininteger<int32>

Minimum value (inclusive)

idIDSearch
Show properties
accountIdinteger<int32>

Account ID to search for

min 0 · min length 7
steamId64string

SteamID64 to search for

min length 17 · max length 17
orderV1AppOrder | null
Show properties
bystringrequired
Allowed:appIdplaytimenamecardCountsetPrice
directionstringrequired
default: "desc"
Allowed:ascdesc
pageinteger<int32>required
min 0 · default: 1
searchstring | null
vanityVanitySearch
Show properties
typestringrequired

Which type of vanity to search for

Allowed:steaminternal
valuestringrequired

Vanity to search for

min length 2 · matches ^[a-zA-Z0-9-_]+$
Responses
200

OK

appsV1AccountApp[] | nullrequired
Show properties
Array of V1AccountApp
idinteger<int32>required

The Steam App ID

min 0
imagestringrequired

The App's image URL

namestringrequired

The App's name

playtimeinteger<int32>required

The Account's playtime in the App

min 0
priceinteger<int32>requireddeprecated

How much the app costs

pagesinteger<int32>required

The number of pages

totalHitsinteger<int32>required

The total number of hits for all pages

400

Bad Request

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
401

Unauthorized

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
404

Not Found

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
422

Unprocessable Entity

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
500

Internal Server Error

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.steamsets.com/v1/account.listApps' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "filters": {
    "appType": "string",
    "excludeEvents": true,
    "excludeSales": true,
    "hasBadge": true,
    "playtime": {
      "max": 0,
      "min": 0
    }
  },
  "id": {
    "accountId": 0,
    "steamId64": "stringstringstrin"
  },
  "order": {
    "by": "appId",
    "direction": "asc"
  },
  "page": 1,
  "search": "string",
  "vanity": {
    "type": "steam",
    "value": "string"
  }
}'
Response
{
  "apps": [
    {
      "id": 730,
      "image": "https://cdn.cloudflare.steamstatic.com/steamcommunity/public/images/apps/730/a1a2f9f3f4c0c2b1f8d3a4e5f6d7e8f9.jpg",
      "name": "Counter-Strike: Global Offensive",
      "playtime": 123456,
      "price": 1200
    }
  ],
  "pages": 1,
  "totalHits": 1
}